Subject: [core] draft-farrell-decade-ni-04

From: Ari Keranen <[email-masked]>
Date: Fri, 27 Apr 2012 11:36:29 -0500

Folks,

We have now updated the hash naming draft [1] once more and think it's 
ready to move forward. The only "bigger" technical changes based on the 
feedback and some more implementation experience were the change from 
base32 to base16 (hex) encoding for the human-readable format and also 
allow for encoding the hash-algorithm and length using Suite IDs.

The first change makes the human-readable format's hash part slightly 
longer, but the second change reduces the length with commonly used 
algorithms by 9-10 characters.

The slightly longer length for the hash is unfortunate, but the 
difference is actually quite small (6 characters with the 120-bit hash) 
and the simplicity of implementation and specification (e.g., no need to 
worry about bit-boundaries and padding) makes up for it.

Cheers,
Ari

[1] http://tools.ietf.org/html/draft-farrell-decade-ni-04